## GtkPlug GtkPlug |

## Functions

void | gtk_plug_construct ()
void | gtk_plug_construct_for_display ()
GtkWidget * | gtk_plug_new ()
GtkWidget * | gtk_plug_new_for_display ()
GdkNativeWindow | gtk_plug_get_id ()
gboolean | gtk_plug_get_embedded ()
GdkWindow * | gtk_plug_get_socket_window ()

## Properties

gboolean | embedded | Read
GdkWindow * | socket-window | Read

## Signals

void | embedded | Run Last

## Types and Values

struct | GtkPlug

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkPlug

## Implemented Interfaces

GtkPlug implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_plug_construct ()

    void
    gtk_plug_construct (GtkPlug *plug,
                        GdkNativeWindow socket_id);

### gtk_plug_construct_for_display ()

    void
    gtk_plug_construct_for_display (GtkPlug *plug,
                                    GdkDisplay *display,
                                    GdkNativeWindow socket_id);

Since: 2.2

### gtk_plug_new ()

    GtkWidget *
    gtk_plug_new (GdkNativeWindow socket_id);

### gtk_plug_new_for_display ()

    GtkWidget *
    gtk_plug_new_for_display (GdkDisplay *display,
                              GdkNativeWindow socket_id);

Since: 2.2

### gtk_plug_get_id ()

    GdkNativeWindow
    gtk_plug_get_id (GtkPlug *plug);

### gtk_plug_get_embedded ()

    gboolean
    gtk_plug_get_embedded (GtkPlug *plug);

Since: 2.14

### gtk_plug_get_socket_window ()

    GdkWindow *
    gtk_plug_get_socket_window (GtkPlug *plug);

Since: 2.14

## Types and Values

### struct GtkPlug

    struct GtkPlug;

## Property Details

### The `“embedded”` property

      “embedded”                 gboolean

Whether or not the plug is embedded.

Flags: Read

Default value: FALSE

Since: 2.12

### The `“socket-window”` property

      “socket-window”            GdkWindow *

The window of the socket the plug is embedded in.

Flags: Read

Since: 2.14

## Signal Details

### The `“embedded”` signal

    void
    user_function (GtkPlug *plug,
                   gpointer user_data)

Flags: Run Last